Bug 240000 - sysutils/logstash6: Update to 6.8.3
Summary: sysutils/logstash6: Update to 6.8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-elastic mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-20 18:50 UTC by Greg Lewis
Modified: 2019-10-22 17:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (elastic)


Attachments
Patch to update to 6.8.2 (5.23 KB, patch)
2019-08-20 18:50 UTC, Greg Lewis
no flags Details | Diff
Patch to update to 6.8.3 (5.23 KB, patch)
2019-09-19 18:14 UTC, Greg Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Lewis freebsd_committer 2019-08-20 18:50:36 UTC
Created attachment 206739 [details]
Patch to update to 6.8.2

Update to 6.8.2

This version supports newer versions of Java, and I've run it lightly with OpenJDK 11.  However, the testing has been very light and some guidance on a more robust test procedure would be appreciated.

I wasn't clear how files/logstash.conf.sample was created, but I updated it with the example included in the distribution.  I can remove that if it was created separately.

This also addresses https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-7612 by updating to a version which doesn't have that vulnerability.

This update should likely be done at the same time as the one in bug #239972.
Comment 1 Greg Lewis freebsd_committer 2019-09-19 18:14:10 UTC
Created attachment 207633 [details]
Patch to update to 6.8.3

Updated the patch so that the update is to 6.8.3
Comment 2 commit-hook freebsd_committer 2019-10-05 00:27:04 UTC
A commit references this bug:

Author: glewis
Date: Sat Oct  5 00:26:18 UTC 2019
New revision: 513798
URL: https://svnweb.freebsd.org/changeset/ports/513798

Log:
  Update to 6.8.3

  * Update to 6.8.3
  * Take the distributed sample and use that as logstash.conf.sample

  PR:		240000
  Approved by:	maintainer timeout
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sysutils/logstash6/Makefile
  head/sysutils/logstash6/distinfo
  head/sysutils/logstash6/files/logstash.conf.sample
  head/sysutils/logstash6/files/patch-vendor_jruby_bin_jruby.sh
Comment 3 Dan Langille freebsd_committer 2019-10-18 15:11:38 UTC
(In reply to Greg Lewis from comment #1)

Greg: do you have this running on FreeBSD 11.3?

I ask because of https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241312
Comment 4 Greg Lewis freebsd_committer 2019-10-18 19:12:50 UTC
Hi Dan,

I did have it up and running prior to committing the update.  I don't have it running at the moment though.  Not that I was doing anything terribly exciting with it, so it is quite possible the reporter on bug 241312 has it configured such that they experience a use case that I didn't exercise.  However, I'll note that they report also seeing the same problem with logstash5, so it doesn't appear at first glance to be related to the upgrade of logstash6 but rather something that is related to what the reporter is doing.
Comment 5 Wallace 2019-10-21 20:13:42 UTC
Hi Greg,

Where you using the SSL settings = true in your config file and had it working/running? Or was it the default config that gets installed?
Comment 6 Greg Lewis freebsd_committer 2019-10-22 17:31:32 UTC
I was using the default configuration